<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <style type="text/css">
        #chart text {
            fill: black;
            font: 10px sans-serif;
            text-anchor: end;
        }
    
        .axis text {
            font: 10px sans-serif;
        }
    
        .axis path, .axis line {
            fill: none;
            /*stroke: #fff;*/
            shape-rendering: crispEdges;
        }
    
        body {
            /*background: #1a1a1a;*/
            color: #eaeaea;
            padding: 10px;
        }
    
        path {
           
            stroke-width: 2;
            fill: none;
        }
    </style>
    <style>

        body {
            margin: auto;
            width: 650px;
            font: 12px arial;
        }
        *,*:after,*:before {
          box-sizing: border-box;
          margin: 0;
          padding: 0;
          font-size: inherit;
          line-height: 1.5;
        }
        
        html {
          font-size: 62.5%;
        }
        
        body {
          background: white;
          margin: 0;
          padding: 0;
          height: 100vh;
        
          background-size: cover;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .hamburger-icon {
          position: absolute;
        /*   width: 60px; */
        /*   height: 50px; */
          background-color: aquamarine;
          font-size: 3.5rem;
        /*   text-align: center; */
          padding: .2rem 1.5rem;
          top: 50%;
          transform: translatey(-50%);
          transition: all .35s ease-out;
          z-index: 1;
        }
        .close-icon,.hamburger-icon {
          cursor: pointer;
        }
        .navigation-bar {
          background-color: #1b262c;
          opacity: 1;
          width: 300px;
          height: 100vh;
          position: absolute;
          z-index: 2;
          transition: all .45s ease-out;
          left: 0%;
        }
        .close-navbar{
          left: -30%;
        }
        .open-navber {
          left: 0%;
        }
        
        .icon-box {
          position: absolute;
        /*   background-color: aquamarine; */
          font-size: 3.5rem;
        /*   text-align: center; */
          padding: .1rem 1.3rem;
          top: 0;
          right: 0;
          transition: all .35s ease-out;
          z-index: 1;
        }
        .nav-title {
          position: absolute;
          font-size: 2rem;
          top: 10%;
          left: 20%;
          color: #dddddd;
        }
        .nav-menu {
          position: absolute;
          top: 25%;
          left: 0%;
          width: 100%;
        /*   background-color: #BB2CD9; */
        }
        .nav-link {
          text-decoration: none;
          display: block;
          width:  100%;
          height: auto;
        /*   background-color: tomato; */
          padding: 3rem 0rem 3rem 4rem;
          font-size: 2rem;
          color: #dddddd;
          font-family: cursive;
          line-height: 1;
          text-transform: uppercase;
          transition: all .2s ease;
          text-align: justify;
        
        }
        .nav-link:not(:last-child) {
        /*   margin-bottom: 2rem; */
          border-bottom: 1px solid rgba(87, 96, 111, .1);
        
        }
        .nav-link:hover {
          background-color: #0A79DF;
          color: #f7f7f7;
        }
        
        #year{
            font-weight: bold;
        }
        #id1{
            font-weight: bold;
        }
        #id2{
            font-weight: bold;
        }
        #id3{
            font-weight: bold;
        }
        #id4{
            font-weight: bold;
        }
        #id5{
            font-weight: bold;
        }
        h1{
          font-size:30px;
        }
        
        
        body {
            margin: auto;
            width: 650px;
          font: 14px arial;
          text-align:center;
          color:#1b262c;
        }
        </style>
        
        </head>
        <body>
            
        <style>
            .dropbtn {
                  background-color:#1b262c;
                  color: white;
                  padding: 0px;
                  font-size: 17px;
                  border: none;
            }
                
            .dropdown {
              position: relative;
              display: inline-block;
              right: 0px;
              white-space: nowrap;
                }
                
            .dropdown-content {
              display: none;
              position: absolute;
              background-color: #1b262c;
              min-width: 160px;
              box-shadow:#1b262c;
              z-index: 1;
              top: 0px;
              right:-160px;
              float:right;
              font-family: cursive;
              font-size:20px;
              text-align: center;
                }
                
            .dropdown-content a {
                  color: white;
                  padding: 12px 16px;
                  text-decoration: none;
                  display: block;
            }
            
            .nav-menu.dropdown.dropdown-content.bar-pie{
              display: none;
                  position: absolute;
                  background-color: #1b262c;
                  min-width: 160px;
                  box-shadow:#1b262c;
                  z-index: 1;
              top: 0px;
              right:-160px;
              float:right;
              font-family: cursive;
              font-size:20px;
              color: white;
                  padding: 12px 16px;
                  text-decoration: none;
                  display: block;
            }
            
                
                .dropdown-content a:hover {background-color:#0A79DF;}
                
                .dropdown:hover .dropdown-content {display: block;}
                
                .dropdown:hover .dropbtn {background-color:#0A79DF;color: black;}
                </style>
                
          <div class="hamburger-icon">
            <i class="fas fa-bars open-icon"></i>
          </div>
          <div class="navigation-bar">
            <div class="icon-box">
              <i class="fas fa-times close-icon"></i>
            </div>
            <div class="nav-title">
              <h3>Dashboard</h3>
            </div>
            <div class="nav-menu">
              <a href="index.html" class="nav-link">Home</a>
              <div class="dropdown">
                <a class="nav-link">District-Wise Data</a>
                <div class="dropdown-content">
                  <a href="adilabad.html">Adilabad</a>
                  <a href="karimnagar.html">Karimnagar</a>
                  <a href="khammam.html">Khammam</a>
                  <a href="mahabubnagar.html">Mahbubnagar</a>
                  <a href="nalgonda.html">Nalgonda</a>
                  <a href="hyd.html">Hyderabad</a>
                  <a href="rangareddy.html">Rangareddy</a>
                  <a href="#">Nizamabad</a>
                  <a href="warangal.html">Warangal</a>
                </div>
                </div>
                <div class="dropdown">
                  <a class="nav-link">Rangareddy</a>
                  <div class="dropdown-content">
                    <a href="rangareddy.html">BAR CHART</a>
                    <a href="rangareddy-pie.html">PIE CHART</a>
                  </div>
                  </div>
                  <div class="dropdown">
                    <a class="nav-link">State Wise Data</a>
                    <div class="dropdown-content">
                      <a href="telangana.html">BAR CHART</a>
                      <a href="telangana-pie.html">PIE CHART</a>
                    </div>
                    </div>
              <a href="schools.html" class="nav-link"> Schools Data</a>
            </div>
          </div>
        <br><br>
    <div id="chart" style="height:600px;width:600px">
        <div class="innerCont" style="overflow: auto; top:100px; left: 400px; height:91% ; Width:100% ;position: relative;overflow: hidden;" />
    </div> <h1>Welcome to literacy rate in Rangareddy</h1>
    <script src="https://code.jquery.com/jquery-1.12.4.min.js" charset="utf-8"></script>
    <script src="https://d3js.org/d3.v2.min.js"></script>
    <script type="text/javascript">
        var salesData;
        var chartInnerDiv = '<div class="innerCont" style="overflow: auto;top:100px; left: 130px; height:91% ; Width:100% ;position: relative;overflow: hidden;"/>';
        var truncLengh = 30;
    
        $(document).ready(function () {
            Plot();
        });
    
        function Plot() {
            TransformChartData(chartData, chartOptions, 0);
            BuildPie("chart", chartData, chartOptions, 0)
        }
    
        function BuildPie(id, chartData, options, level) {
            var xVarName;
            var divisionRatio = 2.5;
            var legendoffset = (level == 0) ? 0 : -40;
    
            d3.selectAll("#" + id + " .innerCont").remove();
            $("#" + id).append(chartInnerDiv);
            chart = d3.select("#" + id + " .innerCont");
    
            var yVarName = options[0].yaxis;
            width = $(chart[0]).outerWidth(),
            height = $(chart[0]).outerHeight(),
            radius = Math.min(width, height) / divisionRatio;
    
            if (level == 1) {
                xVarName = options[0].xaxisl1;
            }
            else {
                xVarName = options[0].xaxis;
            }
    
            var rcolor = d3.scale.ordinal().range(runningColors);
    
            arc = d3.svg.arc()
                    .outerRadius(radius)
                    .innerRadius(radius - 200);
    
            var arcOver = d3.svg.arc().outerRadius(radius + 20).innerRadius(radius - 180);
    
            chart = chart
                    .append("svg")  //append svg element inside #chart
                    .attr("width", width)    //set width
                    .attr("height", height)  //set height
                    .append("g")
                    .attr("transform", "translate(" + (width / divisionRatio) + "," + ((height / divisionRatio) + 30) + ")");
    
            var pie = d3.layout.pie()
                        .sort(null)
                        .value(function (d) {
                            return d.Total;
                        });
    
            var g = chart.selectAll(".arc")
                        .data(pie(runningData))
                        .enter().append("g")
                        .attr("class", "arc");
    
            var count = 0;
    
            var path = g.append("path")
                        .attr("d", arc)
                        .attr("id", function (d) { return "arc-" + (count++); })
                        .style("opacity", function (d) {
                            return d.data["op"];
                        });
    
            path.on("mouseenter", function (d) {
                d3.select(this)
                    .attr("stroke", "white")
                    .transition()
                    .duration(200)
                    .attr("d", arcOver)
                    .attr("stroke-width", 1);
            })
             .on("mouseleave", function (d) {
                 d3.select(this).transition()
                     .duration(200)
                     .attr("d", arc)
                     .attr("stroke", "none");
             })
             .on("click", function (d) {
                 if (this._listenToEvents) {
                     // Reset inmediatelly
                     d3.select(this).attr("transform", "translate(0,0)")
                     // Change level on click if no transition has started
                     path.each(function () {
                         this._listenToEvents = false;
                     });
                 }
                 d3.selectAll("#" + id + " svg").remove();
                 if (level == 1) {
                     TransformChartData(chartData, options, 0, d.data[xVarName]);
                     BuildPie(id, chartData, options, 0);
                 }
                 else {
                     var nonSortedChart = chartData.sort(function (a, b) {
                         return parseFloat(b[options[0].yaxis]) - parseFloat(a[options[0].yaxis]);
                     });
                     TransformChartData(nonSortedChart, options, 1, d.data[xVarName]);
                     BuildPie(id, nonSortedChart, options, 1);
                 }
    
             });
    
            path.append("svg:title")
            .text(function (d) {
                return d.data["title"] + " (" + d.data[yVarName] + ")";
            });
    
            path.style("fill", function (d) {
                return rcolor(d.data[xVarName]);
            })
             .transition().duration(1000).attrTween("d", tweenIn).each("end", function () {
                 this._listenToEvents = true;
             });
    
    
            g.append("text")
             .attr("transform", function (d) { return "translate(" + arc.centroid(d) + ")"; })
             .attr("dy", ".35em")
             .style("text-anchor", "middle")
             
             .style("opacity", 1)
             .text(function (d) {
                 return d.data[yVarName];
             });
    
            count = 0;
            var legend = chart.selectAll(".legend")
                .data(runningData).enter()
                .append("g").attr("class", "legend")
                .attr("legend-id", function (d) {
                    return count++;
                })
                .attr("transform", function (d, i) {
                    return "translate(15," + (parseInt("-" + (runningData.length * 10)) + i * 28 + legendoffset) + ")";
                })
                .style("cursor", "pointer")
                .on("click", function () {
                    var oarc = d3.select("#" + id + " #arc-" + $(this).attr("legend-id"));
                    oarc.style("opacity", 0.3)
                    .attr("stroke", "white")
                    .transition()
                    .duration(200)
                    .attr("d", arcOver)
                    .attr("stroke-width", 1);
                    setTimeout(function () {
                        oarc.style("opacity", function (d) {
                            return d.data["op"];
                        })
                       .attr("d", arc)
                       .transition()
                       .duration(200)
                       .attr("stroke", "none");
                    }, 1000);
                });
    
            var leg = legend.append("rect");
    
            leg.attr("x", width / 2)
                .attr("width", 18).attr("height", 18)
                .style("fill", function (d) {
                    return rcolor(d[yVarName]);
                })
                .style("opacity", function (d) {
                    return d["op"];
                });
            legend.append("text").attr("x", (width / 2) - 5)
                .attr("y", 9).attr("dy", ".35em")
                .style("text-anchor", "end").text(function (d) {
                    return d.caption;
                });
    
            leg.append("svg:title")
            .text(function (d) {
                return d["title"] + " (" + d[yVarName] + ")";
            });
    
            function tweenOut(data) {
                data.startAngle = data.endAngle = (2 * Math.PI);
                var interpolation = d3.interpolate(this._current, data);
                this._current = interpolation(0);
                return function (t) {
                    return arc(interpolation(t));
                };
            }
    
            function tweenIn(data) {
                var interpolation = d3.interpolate({ startAngle: 0, endAngle: 0 }, data);
                this._current = interpolation(0);
                return function (t) {
                    return arc(interpolation(t));
                };
            }
    
        }
    
        function TransformChartData(chartData, opts, level, filter) {
            var result = [];
            var resultColors = [];
            var counter = 0;
            var hasMatch;
            var xVarName;
            var yVarName = opts[0].yaxis;
    
            if (level == 1) {
                xVarName = opts[0].xaxisl1;
    
                for (var i in chartData) {
                    hasMatch = false;
                    for (var index = 0; index < result.length; ++index) {
                        var data = result[index];
    
                        if ((data[xVarName] == chartData[i][xVarName]) && (chartData[i][opts[0].xaxis]) == filter) {
                            result[index][yVarName] = result[index][yVarName] + chartData[i][yVarName];
                            hasMatch = true;
                            break;
                        }
    
                    }
                    if ((hasMatch == false) && ((chartData[i][opts[0].xaxis]) == filter)) {
                        if (result.length < 9) {
                            ditem = {}
                            ditem[xVarName] = chartData[i][xVarName];
                            ditem[yVarName] = chartData[i][yVarName];
                            ditem["caption"] = chartData[i][xVarName].substring(0, 10) + '...';
                            ditem["title"] = chartData[i][xVarName];
                            ditem["op"] = 1.0 - parseFloat("0." + (result.length));
                            result.push(ditem);
    
                            resultColors[counter] = opts[0].color[0][chartData[i][opts[0].xaxis]];
    
                            counter += 1;
                        }
                    }
                }
            }
            else {
                xVarName = opts[0].xaxis;
    
                for (var i in chartData) {
                    hasMatch = false;
                    for (var index = 0; index < result.length; ++index) {
                        var data = result[index];
    
                        if (data[xVarName] == chartData[i][xVarName]) {
                            result[index][yVarName] = result[index][yVarName] + chartData[i][yVarName];
                            hasMatch = true;
                            break;
                        }
                    }
                    if (hasMatch == false) {
                        ditem = {};
                        ditem[xVarName] = chartData[i][xVarName];
                        ditem[yVarName] = chartData[i][yVarName];
                        ditem["caption"] = opts[0].captions != undefined ? opts[0].captions[0][chartData[i][xVarName]] : "";
                        ditem["title"] = opts[0].captions != undefined ? opts[0].captions[0][chartData[i][xVarName]] : "";
                        ditem["op"] = 1;
                        result.push(ditem);
    
                        resultColors[counter] = opts[0].color != undefined ? opts[0].color[0][chartData[i][xVarName]] : "";
    
                        counter += 1;
                    }
                }
            }
    
    
            runningData = result;
            runningColors = resultColors;
            return;
        }
    
        chartOptions = [{
            "captions": [{ "FEMALE": "FEMALE", "TRANS": "TRANSGENDER", "MALE": "MALE" }],
            "color": [{ "FEMALE": "lightblue", "TRANS": "red", "MALE": "steelblue" }],
            "xaxis": "Country",
            "xaxisl1": "Model",
            "yaxis": "Total"
        }]
    
        var chartData = [
            {
                "Country": "MALE",
                "Model": "Hayathnagar",
                "Total": 3348
            },
            {
                "Country": "MALE",
                "Model": "Ibrahimpatnam",
                "Total": 2267
            },
            {
                "Country": "MALE",
                "Model": "Medchal",
                "Total": 2719
            },
            {
                "Country": "MALE",
                "Model": "Saroonagar",
                "Total":6048
            },
            {
                "Country": "MALE",
                "Model": "Tandur",
                "Total": 5592
            },
            {
                "Country": "MALE",
                "Model": "Vikarabad",
                "Total": 3326
            },
            {
                "Country": "FEMALE",
                "Model": "Hayathnagar",
                "Total": 5282
            },
            {
                "Country": "FEMALE",
                "Model": "Ibrahimpatnam",
                "Total": 3810
            },
            {
                "Country": "FEMALE",
                "Model": "Medchal",
                "Total": 4825
            },
            {
                "Country": "FEMALE",
                "Model": "Saroonagar",
                "Total":9850
            },
            {
                "Country": "FEMALE",
                "Model": "Tandur",
                "Total": 8854
            },
            {
                "Country": "FEMALE",
                "Model": "Vikarabad",
                "Total": 6599
            },
            {
                "Country": "TRANS",
                "Model": "Hayathnagar",
                "Total": 10
            },
            {
                "Country": "TRANS",
                "Model": "Ibrahimpatnam",
                "Total": 12
            },
            {
                "Country": "TRANS",
                "Model": "Medchal",
                "Total": 8
            },
            {
                "Country": "TRANS",
                "Model": "Saroonagar",
                "Total":39
            },
            {
                "Country": "TRANS",
                "Model": "Tandur",
                "Total": 35
            },
            {
                "Country": "MALE",
                "Model": "Vikarabad",
                "Total": 3326
            }
        ];
    
    </script>
</body>
</html>